Name:           perl-Data-Validate-Type
Version:        1.5.1
Release:        5%{?dist}
Summary:        Public interface to Params::Util offering data type validation functions
License:        GPLv3
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Validate-Type/
Source0:        http://www.cpan.org/authors/id/A/AU/AUBERTG/Data-Validate-Type-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(lib)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module presents an alternative API to Params::Util which fixes a number
of drawbacks (function names start with an underscore, are uppercase and don't
pass PerlCritic validation).

%prep
%setup -q -n Data-Validate-Type-v%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.5.1-3
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.5.1-2
- Perl 5.20 rebuild

* Sun Jun 15 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.5.1-1
- Update to 1.5.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 04 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.5.0-1
- Update to 1.5.0

* Sun Apr 27 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.4.3-1
- Update to 1.4.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.4.2-2
- Perl 5.18 rebuild

* Wed May 08 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 1.4.2-1
- Update to 1.4.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 25 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 1.4.0-1
- Update to 1.4.0

* Sun Sep 23 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 1.3.1-1
- Update to 1.3.1

* Fri Sep 14 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 1.3.0-2
- Take into account package review (#855665)

* Sun Sep 09 2012 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.3.0-1
- Initial creation
